Subject: Re: [manet] Defining subnet models used by our protocols

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 5 Jun 2012 13:25:23 +0200

Hi Henning,

>Either you oppose it or not... saying you oppose it but pushing for doing it >anyways is self-contradicting.

>The fate of the Autoconf group shows that trying to nail down the subnet-definition >of Manet is both very time-consuming, frustrating and nearly pointless.

Not necessarily, we can manage time and define knowledge like MANET nodes do,

>Manets have proven to work with nearly any kind of subnet setting, because many >of them just work with host-routes.

Yes, but not all networks, if we read in drafts of ROLL they consider
that MANET-protocols do not perform well in such nets, that is why we
have new versions, and new WGs like ROLL and 6LoWPAN, which they
consider Ad-Hoc networks but different than MANET.

>Henning Rogge
--

You may misunderstood my reactions on this important subject. First I
was with action of defining models into all drafts of MANET, and
oppose to general purpose drafts *not defining physical subnets model*
submitted to MANET WG. Then after Mr.Perkins email and others
agreeing, I had a change in beleive, and interested to have only one
RFC produced for this issue of physical models definition.

However, I admit I may be contradicting if we don't consider the time
period of sent emails was sent and the replies, but usually our
protocols do consider so I will do the same :)

Best Wishes,

Abdussalam Baryun
University of Glamorgan, UK
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++